<?php
/**************************************************************
Name: 		eliza.php
Purpose:	Used as a demo in MIS3501.
	Functions to support eliza.php

Revision Log
Date		Name			Comment
20140924	Jeremy Shafer	Created

To-Do
- Handle user input that has empty spaces only
- clean up spaces between words
- add to key word detection.
**************************************************************/

//the main function for Eliza
function getElizaTalk($sometext)
	{
	$result = "";
	if ($sometext === "")
		{
		$result = "<em>Please talk to me.</em>  Tell me how you feel.";
		}
	else
		{
		if (getKeyWordReply($sometext) === "")
			{
			$result = " " . $sometext . " ";
			$result = strtolower($result);
			$result = str_replace(" i "," you ",$result);
			$result = str_replace(" am "," are ",$result);
			$result = str_replace(" my "," your ",$result);
			$result = str_replace(" me "," you ",$result);
			$result = str_replace(" because ","",$result);
			$result = "Tell me why " . $result;
			} else {
			$result = getKeyWordReply($sometext);
			}
		}
		
	return $result;
	}

//look for key words and reply
function getKeyWordReply($stringToSearch)
		{
		$result = "";
		if (strpos($stringToSearch,"chocolate") !== false) {
			$result = "I *do* like chocolate.  Tell me more.";
			}
		if (strpos($stringToSearch,"lucky") !== false) {
			$result = "So you believe in luck?  Tell me what makes a person lucky.";
			}
		return $result;
		}
?>