<?php
/**************************************************************
Name: 		eliza.php
Purpose:	Used as a demo in MIS3501.
	With apologies to Joseph Weizenbaum.   
	See http://en.wikipedia.org/wiki/ELIZA

Revision Log
Date		Name			Comment
20130206	Jeremy Shafer	Created
20130917	Jeremy Shafer	Modified to use $_GET instead of $_POST
20140217	Jeremy Shafer	Added a label for the input tag
20140217	Jeremy Shafer	Added some formatting
20140924	Jeremy Shafer	Now we will use functions.
**************************************************************/
require("eliza-functions.php");
?>
<?php
$strElizaSays = "How do you feel?";
if (isset($_GET["btnSubmit"]))
	{
	$strElizaSays = getElizaTalk($_GET["strUserText"]);
	}
?>
<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>A little Eliza Demo</title>
		<style>
		#header
		{
		display:inline-block;
		background-color:#AAAAAA;
		width:75%;
		margin:0px;
		padding:5px;
		}
		#content
		{
		display:inline-block;
		background-color:#CCCCCC;
		width:75%;
		margin:0px;
		padding:5px;
		}
		#footer
		{
		display:inline-block;
		background-color:#AAAAAA;
		width:75%;
		margin:0px;
		padding:5px;		
		}
		</style>
</head>
<body>
	<div id="header">
		<h1>A little Eliza demo</h1>
	</div>
	<div id="content">
		<hr>
		<form name="frmInput" action="eliza.php" method="get">
		<p>Eliza: <?php echo $strElizaSays;?></p>
		<p><label for="strUserText">You: <input type="text" name="strUserText" id="strUserText" value="" size="30" maxlength="500"></p>
		<p><input type='submit' name='btnSubmit' value='Go'></p>
		</form>
		<hr>
		</div>
	<div id="footer">
		<em>Created for MIS3501, Temple University</em>
	</div>
</body>
</html>